commit:     df8c8087a90e1123ea8a7e62a10d2be5df9167b1
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Sun Aug 11 20:51:53 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 20:56:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df8c8087

sys-process/atop: patch out uname usage

Bonus: dies when it finds uname in netatop source

Closes: https://bugs.gentoo.org/919693
Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-process/atop/atop-2.10.0-r1.ebuild | 8 ++++++++
 sys-process/atop/atop-2.9.0-r1.ebuild  | 8 ++++++++
 2 files changed, 16 insertions(+)

diff --git a/sys-process/atop/atop-2.10.0-r1.ebuild 
b/sys-process/atop/atop-2.10.0-r1.ebuild
index c9b216bc2e3f..5d3ecf36942a 100644
--- a/sys-process/atop/atop-2.10.0-r1.ebuild
+++ b/sys-process/atop/atop-2.10.0-r1.ebuild
@@ -53,6 +53,14 @@ src_prepare() {
        if use modules ; then
                cd "${WORKDIR}"/${NETATOP_P} || die
                eapply "${FILESDIR}"/${PN}-2.9.0-netatop-makefile.patch
+
+               sed \
+                       -e "s#\`uname -r\`#${KV_FULL}#g" \
+                       -e "s#\$(shell uname -r)#${KV_FULL}#g" \
+                       -i {.,daemon,module}/Makefile || die
+
+               grep -rq "uname -r" && die "found uname calls"
+
                cd "${S}" || die
        fi
 

diff --git a/sys-process/atop/atop-2.9.0-r1.ebuild 
b/sys-process/atop/atop-2.9.0-r1.ebuild
index 313f9ab42b41..b7d49a35cd46 100644
--- a/sys-process/atop/atop-2.9.0-r1.ebuild
+++ b/sys-process/atop/atop-2.9.0-r1.ebuild
@@ -49,6 +49,14 @@ src_prepare() {
        if use modules ; then
                cd "${WORKDIR}"/${NETATOP_P} || die
                eapply "${FILESDIR}"/${PN}-2.9.0-netatop-makefile.patch
+
+               sed \
+                       -e "s#\`uname -r\`#${KV_FULL}#g" \
+                       -e "s#\$(shell uname -r)#${KV_FULL}#g" \
+                       -i {.,daemon,module}/Makefile || die
+
+               grep -rq "uname -r" && die "found uname calls"
+
                cd "${S}" || die
        fi
 

Reply via email to